6.0.0-git
2019-04-25

[#11053] Problems replying/forwarding messages with attachments on pop-ups
Summary Problems replying/forwarding messages with attachments on pop-ups
Queue IMP
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester goncalo.queiros (at) portugalmail (dot) net
Created 2012-03-05 (2607 days ago)
Due
Updated 2012-03-14 (2598 days ago)
Assigned 2012-03-13 (2599 days ago)
Resolved 2012-03-14 (2598 days ago)
Milestone
Patch No

History
2012-03-14 12:09:13 Git Commit Comment #8 Reply to this comment
Changes have been made in Git (develop):

commit c05da3d7fef551ac8dd73d41f48aa507f988982e
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Wed Mar 14 00:12:05 2012 -0600

     Bug #11053: Clear attachment list if message send was successful.

  imp/js/compose-dimp.js |    5 +++++
  1 files changed, 5 insertions(+), 0 deletions(-)

http://git.horde.org/horde-git/-/commit/c05da3d7fef551ac8dd73d41f48aa507f988982e
2012-03-14 06:13:12 Michael Slusarz Comment #7
State ⇒ Resolved
Reply to this comment
This should fix.
2012-03-14 06:12:32 Git Commit Comment #6 Reply to this comment
Changes have been made in Git (master):

commit c05da3d7fef551ac8dd73d41f48aa507f988982e
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Wed Mar 14 00:12:05 2012 -0600

     Bug #11053: Clear attachment list if message send was successful.

  imp/js/compose-dimp.js |    5 +++++
  1 files changed, 5 insertions(+), 0 deletions(-)

http://git.horde.org/horde-git/-/commit/c05da3d7fef551ac8dd73d41f48aa507f988982e
2012-03-13 13:35:37 Jan Schneider Comment #5
Assigned to Michael Slusarz
State ⇒ Assigned
Reply to this comment
I can confirm this. The sendMessage request succeeds, but the 
deleteAttache request triggers this error:

Fatal error: Call to a member function getName() on a non-object in 
/home/jan/horde-git/imp/lib/Ajax/Application.php on line 1342
Call Stack
#        Time        Memory        Function        Location
1        0,0161        650792        {main}( )        ../ajax.php:0
2        0,5570        12960712        IMP_Ajax_Application->doAction( )        ../ajax.php:60
3        0,5570        12960712        Horde_Core_Ajax_Application->doAction( 
)        ../Application.php:95
4        0,5571        12961344        call_user_func ( array (0 => class 
IMP_Ajax_Application { public $notify = TRUE; protected $_mbox = NULL; 
protected $_queue = class IMP_Ajax_Queue { protected $_flag = array 
(...); protected $_poll = array (...); protected $_quota = FALSE }; 
protected $_suppress = NULL; protected $_readOnly = array (0 => 
'html2Text', 1 => 'text2Html'); protected $_action = 'deleteAttach'; 
protected $_app = 'imp'; protected $_defaultDomain = NULL; protected 
$_vars = class Horde_Variables { protected $_expected = array (...); 
protected $_sanitized = FALSE; protected $_vars = array (...) } }, 1 
=> 'deleteAttach') )        ../Application.php:95
5        0,5571        12961344        IMP_Ajax_Application->deleteAttach( )        ../Application.php:95


2012-03-13 12:00:46 goncalo (dot) queiros (at) portugalmail (dot) net Comment #4 Reply to this comment
Sorry, Eve = Have :-)

[Show Quoted Text - 15 lines]
2012-03-13 12:00:15 goncalo (dot) queiros (at) portugalmail (dot) net Comment #3 Reply to this comment
I use the master branch, not the develop one.
I can't test this on the horde demo, because the "From" is always 
invalid, but on my computer i can reproduce it every time.

Eve you opened the message in a new window (pop up) before you click 
on the reply/forward?
Open a message in a new window, and press reply/forward (add any
attachment, if the message hasn't any), and press send.

The message will be sent, but imp will try to delete the attachments
after the message is sent, which will show errors to the user.
Is this truly seen in git (e.g. IMP 6 develop)?  I can't reproduce.
2012-03-08 03:35:15 Michael Slusarz Comment #2 Reply to this comment
Open a message in a new window, and press reply/forward (add any 
attachment, if the message hasn't any), and press send.

The message will be sent, but imp will try to delete the attachments 
after the message is sent, which will show errors to the user.
Is this truly seen in git (e.g. IMP 6 develop)?  I can't reproduce.
2012-03-05 13:23:59 goncalo (dot) queiros (at) portugalmail (dot) net Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Problems replying/forwarding messages with attachments on pop-ups
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
Open a message in a new window, and press reply/forward (add any 
attachment, if the message hasn't any), and press send.

The message will be sent, but imp will try to delete the attachments 
after the message is sent, which will show errors to the user.

Saved Queries